Namespace
List base session states
List base session states for a given namespace
GET
/
api
/
v1
/
local
/
namespace
/
{namespace}
List base session states
curl --request GET \
--url https://api.example.com/api/v1/local/namespace/{namespace} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/local/namespace/{namespace}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/local/namespace/{namespace}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"timestamp": "<string>",
"namespace": "<string>",
"status": {
"type": "closing",
"executionTime": "<string>",
"closingTime": "<string>"
},
"annotations": {}
}
]{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The namespace name
Response
Success
The unique identifier for this session
The timestamp of when this state was generated
The namespace that this session resides in
The session is closing and will soon be removed from memory. The closing status can only be observed when
the session has persistence configure in SessionRuntimeSettings. Note that there is no closed state for
sessions, as closed sessions are deleted from memory
- closing
- pending_execution
- executed
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List base session states
